formula.nls {stats} | R Documentation

## Extract Model Formula from nls Object

### Description

Returns the model used to fit `object`.

### Usage

    ## S3 method for class 'nls'
    formula(x, ...)

### Arguments

`x` | an object inheriting from class `"nls"`, representing a nonlinear least squares fit.
`...` | further arguments passed to or from other methods.

### Value

a formula representing the model used to obtain `object`.

### Author(s)

José Pinheiro and Douglas Bates

### See Also

`nls`, `formula`

### Examples

    fm1 <- nls(circumference ~ A/(1+exp((B-age)/C)), Orange,
               start = list(A = 160, B = 700, C = 350))
    formula(fm1)

[Package stats version 3.6.0 Index]